add 17.05.x to deb_dpdk CI builds
[ci-management.git] / jjb / vpp / include-raw-vpp-csit-functional.sh
1 #!/bin/bash
2 set -xeu -o pipefail
3
4 # Get CSIT branch from which to test from
5 # running build-root/scripts/csit-test-branch
6 if [ -x build-root/scripts/csit-test-branch ]; then
7     CSIT_BRANCH=`build-root/scripts/csit-test-branch`;
8 fi
9
10 # Clone csit and start tests
11 git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}
12
13 # If the git clone fails, complain clearly and exit
14 if [ $? != 0 ]; then
15     echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}"
16     echo "No such branch ${CSIT_BRANCH:-csit-verified} in https://gerrit.fd.io/r/csit"
17     exit
18 fi
19
20 cp build-root/*.deb csit/
21 cd csit
22 # execute csit bootstrap script if it exists
23 if [ -e bootstrap.sh ]
24 then
25     # make sure that bootstrap.sh is executable
26     chmod +x bootstrap.sh
27     # run the script
28     ./bootstrap.sh *.deb
29 else
30     echo 'ERROR: No bootstrap.sh found'
31     exit 1
32 fi
33
34 # vim: ts=4 ts=4 sts=4 et :